#!/bin/sh

if [ "$1" == '-h' -o "$1" == '--help' ]; then
  echo 'Usage: control.sh [PV_PREFIX [DEVICE_NAME]]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "basic:")'
  echo '  DEVICE_NAME  Name of device (default: "Bpm1")'
  echo 'Example: control.sh'
  echo 'Example: control.sh ioc1: Bpm2'
  exit 0
fi

pvPrefix=basic:
if [ "$1" != '' ]; then pvPrefix="$1"; fi
deviceName=Bpm1
if [ "$2" != '' ]; then deviceName="$2"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../src"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$thisScriptHome/../src\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=$pvPrefix,D=$deviceName" ./od-ic-plus-quad.adl
