#!/bin/sh

if [ "$1" == '-h' -o "$1" == '--help' ]; then
  echo 'Usage: init.sh [PV_PREFIX [[DEVICE_NAME] [ASYN_PORT]]]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "basic:")'
  echo '  DEVICE_NAME  Name of device (default: "Bpm1")'
  echo '  ASYN_PORT    Name of asyn port of simulation (default: "ipClient1")'
  echo 'Example: init.sh'
  echo 'Example: init.sh ioc1: Bpm2'
  echo 'Example: init.sh ioc1: Bpm2 ipClient2'
  exit 0
fi

pvPrefix=basic:
if [ "$1" != '' ]; then pvPrefix="$1"; fi
deviceName=Bpm1
if [ "$2" != '' ]; then deviceName="$2"; fi
asynPort=ipClient1
if [ "$3" != '' ]; then asynPort="$3"; fi

caput "${pvPrefix}asyn_${asynPort}.AOUT" ':set0:ic1 105660'
caput "${pvPrefix}asyn_${asynPort}.AOUT" ':set0:ic2 92173'
caput "${pvPrefix}asyn_${asynPort}.AOUT" ':set0:ic3 82483'
caput "${pvPrefix}asyn_${asynPort}.AOUT" ':set0:ic4 91207'
caput "${pvPrefix}scan1.P1EP" 0.9
caput "${pvPrefix}scan1.P1SI" 0.1
caput "${pvPrefix}scan1.T1PV" "${pvPrefix}${deviceName}:AcqCtrl"
caput "${pvPrefix}scan1.D01PV" "${pvPrefix}${deviceName}:AcqNrmCurrSum"
caput "${pvPrefix}${deviceName}:Poll.SCAN" '.1 second'
caput "${pvPrefix}${deviceName}:SetHwAvgWnSz" 20
caput "${pvPrefix}${deviceName}:SetSwAvgWnSz" 5
caput "${pvPrefix}${deviceName}:AcqTime" 1.5
